CentOS-7(1708)发行注记

最后更新:2017 年 10 月 25 日

1. 翻译

本发行注记备有下列语言供选择:

2. 引言

CentOS 计划 没有 为 CentOS Linux 的安全性提供任何验证、认证、或软件保证。CentOS Linux 安装程序提供的 安全性配置文件 是转换自 RHEL 的源代码。要是你所追求的是获认证/验证的软件保证,你大概不应采用 CentOS Linux。如果你准备采用安全性配置文件,请参阅此 连结

欢迎来到 CentOS-7 的第五个发行版本。CentOS Linux 发行版本是一个稳定、高预测性、高管理性、高重复性的平台,它源于 Red Hat 企业级 Linux(RHEL)1的源代码。你可以在 这里 检阅此发行版本的官方发布。

CentOS 完全遵守 Red Hat 的再发行政策,并且致力与上游产品在功能上完全兼容。CentOS 对组件的修改主要是去除 Red Hat 的商标及美工图。

我们决定不跟随 Red Hat 采用「安装角色」。在 CentOS Linux,用户在安装时可访问所有「频道」中的内容。

持续发行(CR)软件库 以测试及 hotfix 为前提,把下个 CentOS 定点发行本内的组件公开,直至该版本被推出为止。 在你尝试进行安装或汇报问题之先,请把其它分段阅读一遍。

3. 安装媒体

CentOS 提供了不同的安装映像。你所需的映像视乎你的安装环境。这些映像都可以烧录在 DVD 上或用 dd 写在 USB 记忆棒内。

假若你不清楚哪个映像适用,请选择 DVD 映像。它让你选择需要安装的组件,并包含所有在图像安装界面内可选择的组件。Everything DVD 比一般 DVD 大一倍,正常的安装用不著它 —— 它主要针对那些想创建本地镜像的系统管理员。

我们亦备有 Gnome 及 KDE 桌面环境的 live 映像。它们允许你通过以 DVD 或 USB 记忆棒开机来测试 CentOS。你也可以把 live 映像上的 CentOS 安装到硬盘,但请留意你将会安装 live 映像内的所有组件。如果你想在选择组件时有更大灵活性,请采用 DVD 映像。

netinstall 映像适用于网络上的安装。利用 netinstall 映像开机后,安装程序会询问从哪里下载安装的组件。

everything 映像内收录了 CentOS-7 提供的所有组件,包括那些不能通过安装程序直接安装的组件。假若你要安装那些组件,你必须在完成系统安装后挂载安装媒体,然后从该处复制或安装组件。对大多数用户来说,利用 DVD 映像进行安装后以 yum install <组件名称> 安装其它组件或许较容易。

[Bug 8353]

注意
安装及应用 CentOS-7(1708)须要最少 1024 MB 内存。利用 Live 映像进行安装时,只有 1024 MB 内存会拖慢进度,甚至令安装失败。我们推荐采用至少 1536 MB 内存进行 LiveGNOME 或 LiveKDE 的安装。

4. 下载后检验安装映像

在复制已下载的映像到你的安装媒体前,你应该先 检查他们的 sha256sum

sha256sum x86_64:
ec7500d4b006702af6af023b1f8f1b890b6c7ee54400bb98cef968b883cd6546  CentOS-7-x86_64-DVD-1708.iso
8593f5a1631ebfb7581193a7b4ef96d44f500d3ceb49cc4cfbfd71d5698e4173  CentOS-7-x86_64-Everything-1708.iso
9941f5e1257d74e763652ceae5096ed73ddc94a9703ae116931d8713b801fec0  CentOS-7-x86_64-LiveGNOME-1708.iso
4ba63634a8430d134d8a9535c62ff1341c33c898fb1c768a0c6e54fbc92a9133  CentOS-7-x86_64-LiveKDE-1708.iso
bba314624956961a2ea31dd460cd860a77911c1e0a56e4820a12b9c5dad363f5  CentOS-7-x86_64-Minimal-1708.iso
fe3d960cce4d2c1c9f1b66817fe87cc0ee1a1c6c5dd126204cb5c33d51a45620  CentOS-7-x86_64-NetInstall-1708.iso

5. 主要改动

<!> 由于上述改版,某些第三方的软件库(例如 EPEL、nux!、等)或许还未重建所有组件来采用此发行版本内的较新组件。这可能会防止你升级至新的发行版本,直至那些软件库修正组件的依赖关系。不过,现在 7.4 版已发行了一个月有多,上述问题都应该已经解决。

更多数据已收录在 https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/7.4_Release_Notes/index.html

6. 降级功能

如上文所说,此发行版本改动了不同组件的加密功能。有此不安全的加密演算方法及协议已经从发行版本中删除。请参阅 此页面 取得所有被删除的功能及降级组件的完整清单。

7. 已知问题

上游的已知问题清单已收录在 此处 。由于我们是从同一组源码所创建出来,上述的大部份问题,就算不是全部,都很有机会出现在 CentOS Linux。 你也能在 这里 找到有关重大更新的信息。

EPEL 内的 libgpod 版本比 RHEL-7.4 内的版本还要新,因此在 CentOS-7(1708)内亦然。要是你安装了 EPEL 的 libgpod,你更新 CentOS-7 时便会出现错误。你可以利用 yum downgrade libgpod 引入正确版本的 libgpod,然后才继续用 yum update 进行升级。

要是更新系统时不检查安装组件的依赖性,某些 i686 组件将会被安装。这是由于 rdma。这里 有更多关于此情况的信息。权宜之计是采用此指令:yum update rdma-core.x86_64 && yum update。如果在安装 rdm-core 时出现冲突,请尝试执行 yum update rdma-core.x86_64 ibacm

如果你利用 ParaVirtualization(PV)模式以 CentOS-7 作为 Xen 的 domU,更新至 CentOS-7(1708)将会导致虚拟计算机不能引导。你必须采用 HVM(全仿真)或 PV-on-HVM 模式才能在此版本下的 CentOS 运用 Xen 监督器。详情见 此邮件列表的讨论

要是你采用结合网络,上游有个关于在 7.4 内核下设置 updelay= 及 downdelay= 不第于零的问题。只要它们其中一个的值不等于零,该结合将会失效,而你的日志会载满有关不能起动界面的消息。权宜之计是在 BONDING_OPTS= 行加入 updelay=0 及/或 downdelay=0。Redhat 已经发行了一个修正此问题的内核 —— 请以 yum 更新至 kernel-3.10.0-693.5.2.el7 或以上版本。

samba 有可能出现 symbol krb5_get_init_creds_opt_set_pac_request, not defined 的错误。这是由于它找不能到新版的 krb5-libs。安装 krb5-libs-1.15.1-8.el7 便能解决这个问题。详情见 BZ 1480310

keepalived 用户请留意,7.4 下的 keepalived 1.3.5 组件要求 7.4 selinux-policy 组件 >= 3.13.1-166,否则会 segfault。你必须同时更新 selinux-policy 及 keepalived 组件。

samba 共享数据夹现时不能采用 sssd 验证。上游正在修正此问题。权宜之计是将 samba 组件降级至旧版本。

采用 openldap-servers 组件的用户如果使用 ppolicy 政策,必须在升级 执行 https://bugs.centos.org/view.php?id=13750https://lists.ltb-project.org/pipermail/ltb-users/2015-December/000653.html 内的步骤 —— 第二个连结亦有在升级前未执行步骤的修复方法。

首个发行至 CR 软件库的 vte291 组件连结对错误的函数库。该组件已被重新创建。要是你的 GNOME Terminal 的颜色太暗,yum reinstall vte291 会有帮助。这个问题不影响那些没有采用 CR 软件库的用户。

VirtualBox(5.1.26 或之前的版本)与 CentOS 7(1708)并不兼容。请采用 5.1.28 或更新版本。

VMware 在创建 vmnet.ko 内核模块时失败。现时有修正档可解决这个问题。详情见他们的 贴文

initramfs 档现在明显比 CentOS-7(1503)的大。如果你的 /boot 分区细于 400MB,你应考虑降低 /etc/yum.conf 内的 installonly_limit 数值,以减少被安装的内核数量。新的安装应考虑以 1GB 作为 /boot 分区的尺寸,这是上游的推荐。

利用 libreswan 连接到 Cisco Meraki VPN 服务器的用户或试会发现 libreswan 3.15 升级至 3.20 后,便不能连接。若要允许这些连接,你必须将 VPN 服务器所采用的演算方法加进 libreswan 的清单内。你可以在升级前利用 ipsec status | grep "algorithm newest" 列出演算方法,并加进清单。若进行手动设置,你需要编辑 /etc/ipsec.d/$connection.conf 并为连接加入 ike= 及 esp= 的设置。如果采用 NetworkManager,你可以利用图像界面将它们加进 IPSec Settings.../Advanced 窗口的 Phase1 Algorithms 栏(ike= 那行)及 Phase2 Algorithms 栏(esp= 那行)。就我所采用的 Meraki 来说,我须要在 ike= 加入 3DES-SHA1;MODP1024 及在 esp= 加入 3DES-HMAC_SHA1。请留意这不是最安全的做法,而此问题应该被汇报给 Meraki 的支持。

作为 sudo 改版的一部份,它改用 /var/db/sudo/lectured 来记录谁曾阅读 sudo 的「讲义」。由于此改动,升级后,所有运用 sudo 的用户将要再次阅读该讲义。

Rhythmbox 封面美工图在禁止查看时仍会出现 BZ 1396775

GNOME 的改版导致桌面及 nautilus 的图示加大。更改 nautilus 的图示放大值亦会影响桌面的图示。你可以通过 nautilus 作出改动,也可以通过文字界面: gsettings set org.gnome.nautilus.icon-view default-zoom-level 'small' (数值可以是 small、standard、large、larger)。另外见 错误 13768

很多用户投诉新缺省的 NetworkManager 工具不会启用乙太网络界面,安装时必须以人手启用。见CentOS-7 常见问题集 #2。这不是个新的问题,它自从 CentOS 6.0 第一版已经存在。

安装及使用 CentOS-7(1708)最少需要 1024 MB,并推荐 1536 MB 或更多内存。当采用 Live 映像进行安装时,利用 1024 MB 内存会导致运作十分缓慢,甚至安装失败。进行 LiveGNOME 及 LiveKDE 的安装建最少有 1536 MB 内存。

如果你画面的解像度是 800x600 或更低,安装画面的下端将会被裁掉。这个问题存在于所有 CentOS 7 版本。

旧版 VMware Workstation/VMware ESXi 可让你安装两种不同的虚拟 SCSI 适配器:BusLogic 和 LsiLogic。然而 CentOS-7 的缺省内核并不包含对应的两个驱动程序,因此利用 CentOS Linux 的缺省值安装在 SCSI 硬盘上,系统将会不能开机。假如你选择 Red Hat Enterprise Linux 作为操作系统,它会选择适用的半虚拟化 SCSI 适配器。新版 VMWare 没有这个问题,因为它会选用新型号的控制卡。

ifconfig/netstat 等常用工具已有一段时间被标签为降级,而 net-tools 组件亦不再纳入 @core 群组内,因此缺省是不会安装它。如果你真的需要它,请利用 nmcli c up ifname <界面名称> 启用你的网络,然后通过 yum 安装该组件。Kickstart 用户可以在安装时加入 net-tools 这个组件。

AlpsPS/2 的 ALPS DualPoint TouchPad 在 CentOS-7 的缺省下不能运用边沿滚动。见 错误 7403 有关启用此功能的指令。

在那些停用 firewalld 但同时采用 iptables 及 ip6tables 的系统上,iptables 服务会不能引导:BZ1477413 有更多信息。修正应该在不久便会面世。注:此问题在 iptables-1.4.21-18.0.1.el7 已获修正,并会收录在 CR 发行版本及新创建的安装媒体内。此问题在 RHEL 内仍未获修正。

8. 已修正问题

9. 组件及应用程序

9.1. 被 CentOS 修改了的组件

  • abrt
  • anaconda
  • apache-commons-net
  • basesystem
  • chrony
  • cloud-init
  • compat-glibc
  • dhcp
  • firefox
  • glusterfs
  • grub2
  • httpd
  • initial-setup
  • ipa
  • iptables
  • kabi-yum-plugins
  • kde-settings
  • kernel
  • libreport
  • ntp
  • openssl098e
  • oscap-anaconda-addon
  • PackageKit

  • pcs
  • plymouth
  • redhat-lsb
  • redhat-rpm-config
  • scap-security-guide
  • shim
  • shim-signed
  • sos
  • subscription-manager
  • system-config-date
  • system-config-kdump
  • thunderbird
  • xulrunner
  • yum

9.2. 被 CentOS 删除但包含在上游发行内的组件

  • Red_Hat_Enterprise_Linux-Release_Notes-7-*
  • redhat-access-gui
  • redhat-bookmarks
  • redhat-indexhtml
  • redhat-logos
  • redhat-release-*
  • subscription-manager-firstboot
  • subscription-manager-migration
  • subscription-manager-migration-data

9.3. 被 CentOS 新增但不包含在上游发行内的组件

  • centos-bookmarks
  • centos-indexhtml
  • centos-logos
  • centos-release

9.4. 被发行为 7.3.1611 的更新,但在 7.4.1708 安装媒体内的版本较旧的组件

  • bind
  • graphite2
  • java-1.8.0-openjdk

10. 源代码

所有 CentOS-7 的源代码均收录在 git.centos.org。所有被加进发行版本内的代码都源于 git.centos.org。

当软件发布完成后,源代码的 RPM 组件亦会按惯例收录在 http://vault.centos.org/centos/7/

在 CentOS 系统上你可以轻易地通过 yumdownloader --source <组件名称> 这个指令来索取源代码。

11. 如何提供协助及取得帮助

作为一个 CentOS 用户,你可以藉不同方法来协助 CentOS 社区。有关如何参与在其中,请阅读我们的 「贡献」 页。

11.1. 特别兴趣小组

CentOS 有很多不同的 特别兴趣小组(SIG)将拥有共同兴趣的人们聚在一起。下面是现有的(部份)特别兴趣小组:

我们鼓励人们参加以上的特别兴趣小组,或创立新的特别兴趣小组,例如:

11.2. 邮件列表和论坛

另一个协助社区内其它人仕的方式,就是积极帮助解决用户在 邮件列表论坛 中提出的问题。

11.3. Wiki 和网站

即使你对 CentOS 经验不多,我们也用得著你的帮助。因为我们希望能够知道你所遇到的问题、你在寻找特定数据时遇到的困难、以及你认为该如何改进文档以使它们更易用。这些反馈其它人及对你都同样有价值,所以我们需要你的参与令 CentOS 变得更好。

因此如果你希望提供帮助并改进我们的文档和 Wiki,请 在我们的 Wiki 注册 或者订阅 centos-docs 邮件列表。

11.4. 常驻于 IRC

CentOS 计划亦会常驻在 freenode IRC 网络,作为提供社群支援及互动的额外渠道。详情见我们的 IRC wiki 文档

12. 更多信息

下列网站含有大量信息协助人们使用 CentOS 系统:

13. 致谢

我们衷心感谢所有协助我们制作这个产品的人们,并特别致谢 QA 小组额外付出的努力。没有他们在黄昏、晚上、周末及假日不辞劳苦地工作,我们不可能如此快速地发行此版本。我们也特别多谢 CentOS 的社群。一份较完整的贡献者清单已收录在新安装的 CentOS-7 的 /usr/share/doc/centos-release/Contributors 档内。

Copyright (C) 2017 The CentOS Project


Translation of revision 71

zh/Manuals/ReleaseNotes/CentOS7 (last edited 2017-11-07 08:54:04 by TimothyLee)